import { select, arc } from 'd3';

const svg = select('svg');
svg.style('background-color','yellow');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width /2}, ${height / 2})`);

const circle = g.append('circle');

circle.attr('r', height / 2);
circle.attr('fill', 'pink');
circle.attr('stroke', 'yellow');

const eyeSpacing = 90;
const eyeYOffset = -59;
const eyeRadius = 45;
const eyebrowWidth = 80;
const eyebrowHeight = 15;
const eyebrowYOffset = -80;
const bignoseOffset=-9;
const earYoffset=-5;
const teethFill = 'white';
const teethStroke = 'black';
const teethWidth = 65;
const teethHeight = 50;
const mouthOuterRad = 150;
const eyeBrowseR = 160;
const eyeBrowseW = 20;
const strokeWidth=40;


const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
		.attr('fill','black')
    .attr('cx', -eyeSpacing);

const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
		.attr('fill','black')
    .attr('cx', eyeSpacing);

const nose = g
  .append('path')
    .attr('d', arc()({
      innerRadius:40,
      outerRadius: -10,
      startAngle:Math.PI /2,
      endAngle: Math.PI *3 /2}));


const eyebrowsG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

eyebrowsG
  .transition().duration(200)
    .attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
  .transition().duration(200)
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyebrowsG
  .append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const rightEyebrow = eyebrowsG
  .append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight); 

const leftmouth = g
  .append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 1.3)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const rightmouth = g
  .append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 4)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight); 

const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 140,
      outerRadius: 160,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 3 / 2
    }));

const bignose=g
.append('path')
.attr('d',arc()({
  innerRadius:75,
  outerRadius:60,
  startAngle:Math.PI/3,
  endAngle:Math.PI*3,
}))

const leftteeth = g
	.append('rect')
    .attr('x', -5)
    .attr('y', mouthOuterRad)
    .attr('width', teethWidth)
    .attr('height', teethHeight)
    .attr('fill', teethFill)
    .attr('stroke', teethStroke)

const rightteeth = g
	.append('rect')
    .attr('x', -70)
    .attr('y', mouthOuterRad)
    .attr('width', teethWidth)
    .attr('height', teethHeight)
    .attr('fill', teethFill)
    .attr('stroke', teethStroke)
    

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX}, ${centerY})`}>
      <path d="M 0 -190 l 0 -100 m -25 95 l -40 -80 m 130 0 l -40 85"
        stroke="black"
        stroke-width={strokeWidth/2}
        /> 
      </g>
  </svg>
);





